POSTaggerFineGrainedReportListener (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.postag

## Class POSTaggerFineGrainedReportListener

- java.lang.Object
- - opennlp.tools.cmdline.FineGrainedReportListener
  - - opennlp.tools.cmdline.postag.POSTaggerFineGrainedReportListener

- All Implemented Interfaces:
    POSTaggerEvaluationMonitor, EvaluationMonitor<POSSample>

      public class POSTaggerFineGrainedReportListener
      extends opennlp.tools.cmdline.FineGrainedReportListener
      implements POSTaggerEvaluationMonitor

  Generates a detailed report for the POS Tagger.

  It is possible to use it from an API and access the statistics using the provided getters

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class opennlp.tools.cmdline.FineGrainedReportListener

      `opennlp.tools.cmdline.FineGrainedReportListener.ConfusionMatrixLine, opennlp.tools.cmdline.FineGrainedReportListener.Counter, opennlp.tools.cmdline.FineGrainedReportListener.GroupedLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.GroupedMatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.MatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.SimpleLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.Stats`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `POSTaggerFineGrainedReportListener()` Creates a listener that will print to `System.err`
    `POSTaggerFineGrainedReportListener(OutputStream outputStream)` Creates a listener that prints to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `correctlyClassified(POSSample reference, POSSample prediction)`
    `void` | `missclassified(POSSample reference, POSSample prediction)`
    `void` | `writeReport()`

    - ### Methods inherited from class opennlp.tools.cmdline.FineGrainedReportListener

      `getLabelComparator, getMatrixLabelComparator`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POSTaggerFineGrainedReportListener

          public POSTaggerFineGrainedReportListener()

      Creates a listener that will print to `System.err`

    - #### POSTaggerFineGrainedReportListener

          public POSTaggerFineGrainedReportListener(OutputStream outputStream)

      Creates a listener that prints to a given `OutputStream`

  - ### Method Detail

    - #### missclassified

          public void missclassified(POSSample reference,
                                     POSSample prediction)

      Specified by:
        `missclassified` in interface `EvaluationMonitor<POSSample>`

    - #### correctlyClassified

          public void correctlyClassified(POSSample reference,
                                          POSSample prediction)

      Specified by:
        `correctlyClassified` in interface `EvaluationMonitor<POSSample>`

    - #### writeReport

          public void writeReport()

      Specified by:
        `writeReport` in class `opennlp.tools.cmdline.FineGrainedReportListener`

Copyright © 2026 The Apache Software Foundation. All rights reserved.